# osg::buffered_object< T > Class Template Reference

Inheritance diagram for osg::buffered_object< T >:

[legend]
List of all members.

## Public Member Functions

| buffered_object ()
buffered_object & | operator= (const buffered_object &rhs)
void | setAllElementsTo (const T &t)
void | clear ()
bool | empty () const
unsigned int | size () const
T & | operator[] (unsigned int pos)
const T & | operator[] (unsigned int pos) const

## Protected Attributes

std::vector< T > | _array

### template<class T>
class osg::buffered_object< T >

## Constructor & Destructor Documentation

template<class T>
osg::buffered_object< T >::buffered_object | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T>
void osg::buffered_object< T >::clear | ( |  | ) | `[inline]`

template<class T>
bool osg::buffered_object< T >::empty | ( |  | ) | const`[inline]`

template<class T>
buffered_object& osg::buffered_object< T >::operator= | ( | const buffered_object< T > & | rhs | ) | `[inline]`

template<class T>
const T& osg::buffered_object< T >::operator[] | ( | unsigned int | pos | ) | const`[inline]`

template<class T>
T& osg::buffered_object< T >::operator[] | ( | unsigned int | pos | ) | `[inline]`

template<class T>
void osg::buffered_object< T >::setAllElementsTo | ( | const T & | t | ) | `[inline]`

template<class T>
unsigned int osg::buffered_object< T >::size | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class T>
std::vector<T> osg::buffered_object< T >::_array `[mutable, protected]`

The documentation for this class was generated from the following file:

- buffered_value